version: '3'

networks:
  aw-network:
    driver: bridge

volumes:
  prometheus_data:
  grafana_data:

services:
  spring-boot-com-mysql:
    build:
      context: ./
      dockerfile: ./Dockerfile
    image: spring_boot_com_mysql/api
    ports:
      - "5005:5005"
      - "8080:8080"
    environment:
      - ADDITIONAL_OPTS=-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=*:5005 -Xmx1G -Xms128m -XX:MaxMetaspaceSize=128m
      - PROFILE=dev
      #- PAPERTRAIL_HOST="logs3.papertrailapp.com"
      #- PAPERTRAIL_PORT=21815
    links:
      - db
      - prometheus

  db:
    image: mysql:8.0
    ports:
      - "3306:3306"
    environment:
      - MYSQL_ROOT_HOSTS=%
      - MYSQL_DATABASE=spring_boot_mysql
      - MYSQL_ALLOW_EMPTY_PASSWORD=1
    volumes:
      - ./docker/volume_mysql:/var/lib/mysql

  prometheus:
    image: prom/prometheus:latest
    volumes:
      - ./config/prometheus.yml:/etc/prometheus/prometheus.yml
      - prometheus_data:/prometheus
    networks:
      - aw-network
    ports:
      - "9090:9090"
  grafana:
    image: grafana/grafana:latest
    ports:
      - "3000:3000"
    networks:
      - aw-network

